
package QRgen;

import com.google.zxing.WriterException;
import com.google.zxing.qrcode.decoder.ErrorCorrectionLevel;
import java.awt.Color;
import java.io.IOException;

/**
 *
 * @author xfeda002
 */
public class Main {
    //public int color2;
    public Color color;
    public String pathlogo;
    public String pathsave;
    public ErrorCorrectionLevel errorCorrection; 
    public int qrVersion; 
    public int margin;
    public String encode;
    public int widthHeight;
    
    public Main (String encode, Color color, String pathlogo, String pathsave, 
            ErrorCorrectionLevel errorCorrection, int qrVersion, 
            int margin, int widthHeight)
    {
        this.color = color;
        //this.color2 = color2;
        this.pathlogo = pathlogo;
        this.pathsave = pathsave;
        this.errorCorrection = errorCorrection;
        this.qrVersion = qrVersion;
        this.margin = margin;
        this.encode = encode;
        this.widthHeight = widthHeight;
    }
    
    public void main(String[] args) throws IOException, WriterException 
    {
        QRgen qrCode = new QRgen(encode, widthHeight, widthHeight, "UTF-8", errorCorrection, qrVersion, 2, color, -1);
        Obrazek logo = new Obrazek(pathlogo);
        PPAP ppap = new PPAP(qrCode, logo, pathsave + ".png", 0.23);
        ppap.saveQRCode(ppap.combineImages());
    }
}
